Subject: RE: Summary Re: [nemo] comments on "Tree Discovery" draft

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 30 Aug 2004 15:24:03 +0200

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]]
> Sent: vendredi 27 août 2004 18:57
> To: Pascal Thubert (pthubert)
> Cc: [email-masked]
> Subject: Re: Summary Re: [nemo] comments on "Tree Discovery" draft
> 
> Pascal Thubert (pthubert) wrote:
> > MR receives digest in RA-TIO from AR over egress and saves it. MR
> > computes newdigest =  CRC32(digest, CoA) and puts that in the RA-TIO
> >  it sends over ingress.
> >
> > Next time MR gets RA-TIO, it compares the consecutive digest and if
> > they are different, something changed in the chain of MRs to the
> > outside.
> >
> > The computation of CRC is not done for itself but for the guys below
> >  so that the digest has all the CoAs within it. I hope you understand
> >  that, or someone else has to try using different words.
> 
> Ok, how about this substitution of "bit" for "CRC":
> 
>   MR receives bit in RA-TIO from AR over egress and saves it.  MR
>   computes new bit = not-bit and puts that in the RA-TIO it sends over
>   ingress.
> 
>   Next time MR gets RA-TIO it compares the consecutive bits and if they
>   are different, something has changed in the chain of MR's to the
>   outside.
> 
>   The computation of the bit is not done for itself but for the guys
>   below so that the bit has all the previous MR's bits within it.
> 
> I think it can work with one-bit only, no?

Two consecutive changes end up restoring the bit, right?

Pascal

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 30 Aug 2004 15:40:06 +0200

Pascal Thubert (pthubert) wrote:

> 
>> -----Original Message----- From: Alexandru Petrescu 
>> [mailto:[email-masked]] Sent: vendredi 27 août 
>> 2004 18:57 To: Pascal Thubert (pthubert) Cc: [email-masked] Subject:
>>  Re: Summary Re: [nemo] comments on "Tree Discovery" draft
>> 
>>>  computes newdigest =  CRC32(digest, CoA) and puts that in the 
>>> RA-TIO it sends over ingress.
>>> 
>>> Next time MR gets RA-TIO, it compares the consecutive digest and
>>>  if they are different, something changed in the chain of MRs to
>>>  the outside.
>>> 
>>> The computation of CRC is not done for itself but for the guys 
>>> below so that the digest has all the CoAs within it. I hope you 
>>> understand that, or someone else has to try using different 
>>> words.
>> 
>> computes new bit = not-bit and puts that in the RA-TIO it sends 
>> over ingress.
>> 
>> Next time MR gets RA-TIO it compares the consecutive bits and if 
>> they are different, something has changed in the chain of MR's to 
>> the outside.
>> 

Yes, and this means that if a multiple of two intermediate MR's
disappear simultaneously then leaf MR won't notice.

At the same time, the digesting method has the inconvenient that if one
intermediate MR is instantaneously replaced by another then the leaf MR
will notice a change (in fact there's no change, it's the same number of
intermediary IP hops).

My method can be still used if a very fine time sampling is used, such
that there can not be too actual simultaneous MR's disparritions.

Your method can be improved if the digest is applied on something else
than the CoA, maybe on the depth level number defined somewhere in the
TD draft.

It's these kinds of things that are needed in order for a draft to
become WG item, IMHO...

Alex